Bug 1129526 - [RFE] Implement spinner for redhat repos page
Summary: [RFE] Implement spinner for redhat repos page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 05:20 UTC by Kedar Bidarkar
Modified: 2017-02-23 21:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:14:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7426 None None None 2016-04-22 16:50:46 UTC

Description Kedar Bidarkar 2014-08-13 05:20:53 UTC
Description of problem:

The various tabs related to srpms, Beta, ISO, Other, take few seconds to load.

we need a spinner so as to inform a new user about the time taken to load above repos under the various tabs.

For a while I myself assumed, no page loads.



Version-Release number of selected component (if applicable):
sat6-GA-snap4

How reproducible:


Steps to Reproduce:
1. import manifest 
2. move to redhat repos page 
3. move to various tabs like srpms, beta, ISO, Other

Actual results:
No spinner

Expected results:
We need a spinner, for better experience.

Additional info:

Comment 2 Christine Fouant 2014-09-12 15:43:09 UTC
Created redmine issue http://projects.theforeman.org/issues/7426 from this bug

Comment 3 Bryan Kearney 2014-09-15 13:45:17 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/7426 has been closed
-------------
Christine Fouant
Applied in changeset commit:katello|540295f10281907875db5b34f986177dfd6bbc06.

Comment 4 jcallaha 2014-12-05 21:40:24 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
RHEL 65/66/7

ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch
foreman-postgresql-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-libvirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2-1.el7.noarch
foreman-compute-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.1-1.el7.noarch
foreman-proxy-1.8.0-0.develop.201411261259git6ddd00d.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-release-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-gce-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-vmware-1.8.0-0.develop.201412040955git563fa28.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-ovirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-selinux-1.8.0-0.develop.201411281557gitf4a857f.el7.noarch
foreman-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-parent-cert-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-broker-1.0-1.noarch

Comment 5 Bryan Kearney 2015-08-11 13:29:20 UTC
This bug is slated to be released with Satellite 6.1.

Comment 6 errata-xmlrpc 2015-08-12 05:14:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.